summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2013-12-24 20:29:46 -0200
committerSilvio Rhatto <rhatto@riseup.net>2013-12-24 20:29:46 -0200
commit1ce78e4318fdc11fe81b504899d400670ab9f790 (patch)
tree8a89fd5c97fba71d42d738dffee83ae17e855165
parent191893161f1e668cd5fceb600455942dfa919b60 (diff)
downloadhydra-1ce78e4318fdc11fe81b504899d400670ab9f790.tar.gz
hydra-1ce78e4318fdc11fe81b504899d400670ab9f790.tar.bz2
Adding hydractl trac-upgrade
-rwxr-xr-xshare/hydractl/trac-upgrade33
1 files changed, 33 insertions, 0 deletions
diff --git a/share/hydractl/trac-upgrade b/share/hydractl/trac-upgrade
new file mode 100755
index 0000000..89c1e3d
--- /dev/null
+++ b/share/hydractl/trac-upgrade
@@ -0,0 +1,33 @@
+#!/bin/bash
+#
+# Upgrade trac instances in a hydra node.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+# Load
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+# Parameters
+BASE="/var/sites"
+
+# Upgrade
+for instance in `find $BASE -maxdepth 2 -name trac`; do
+ (
+ cd $instance
+ trac-admin . upgrade
+ trac-admin . wiki upgrade
+ )
+done